SOLVED
Home

Outlook CM - browser is too old (Mac user)

Highlighted
Occasional Contributor

I have just become an O365 user with a Business Premium subscription.

 

Outlook 2016 has been installed on my Mac and is running fine.  However the Outlook CM tells me that "Your browser is too old".

 

I am running the latest version of Safari.

 

Any ideas?

2 Replies
Highlighted

Hi Andrew,

 

I would like to collect the following information:
1. The Mac OS version, such as 10.12.5

2. The Safari version, such as 10.1.1 (12603.2.4)

3. A screenshot about the error message

 

Thanks,
Kanjie

Highlighted
Solution

Hello

 

I have since installed Outlook on a Mac running a newer version of OSX and it is working.

 

It appears that the version of OSX on my main (older) machine is not sufficient for OCM to operate.

 

thanks for your reply